Long puppet classes makes the UI not correct
Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

As you can see on the screenshot in attachment, if the puppet classe name is too long (e.g: mount:caviar_prod_readonly), then the

"+" button of this class will be written on the next line, with the next puppet class, which makes stuffs totally unclear.

As already discussed in the past, this "feature" of fixed_size columns creates more problems than before (0.4_RC3) with the UI

presentation.

Regards;

Related issues:

Related to Foreman - Bug #1517: The - sign for removing a class in wrong plac... Closed 03/06/2012

Associated revisions

Revision fdac5d15 - 12/04/2011 03:44 AM - Amos Benari

fixes #1304 re issue the fix as it seemed to get only half merged

History

#1 - 11/17/2011 03:44 AM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

- Target version set to 0.4.1

#2 - 12/02/2011 01:52 AM - Ohad Levy

- Status changed from New to Closed

- Target version changed from 0.4.1 to 1.0

this was fixed as part of the rails 3 migration, and cant be backported to 0.4-stable easily

#3 - 01/05/2012 02:49 PM - Florian Koch

- File classnames.png added

- Status changed from Closed to Assigned

Hi, it seems that this is not fixed

see classnames.png

i am on develop rev fc38fccdf83b93f6437cb34d0d40a016970044a3

rgds florian

#4 - 03/06/2012 04:50 AM - Florian Koch

any news here?
#5 - 05/07/2012 06:45 AM - Florian Koch

- Status changed from Assigned to Closed

this is fixed with the latest develop version

Files

fixed_size.PNG 42.9 KB 11/09/2011 Florent Delvaille

classnames.png 41.5 KB 01/05/2012 Florian Koch
